#DzפR 2017/08/14
#ɦWCH11_1.R LSAT(ltm)
library(ltm)
data(LSAT)
head(LSAT)
descript(LSAT)
#1PL
IRT1PL=rasch(LSAT)
summary(IRT1PL)
coefficients(IRT1PL)
coef(IRT1PL, prob = TRUE, order = TRUE)
plot(IRT1PL, type = "ICC")
plot(IRT1PL, type = "ICC", items=3)
plot(IRT1PL, type = "ICC", items=c(2,3,4))
plot(IRT1PL, type = "IIC", items=3)
plot(IRT1PL, type = "IIC", items=0)
factor.scores(IRT1PL)
factor.scores(IRT1PL, resp.patterns = LSAT)

person.fit(IRT1PL)
person.fit(IRT1PL, resp.patterns = LSAT)

item.fit(IRT1PL)

IRT1PL_1 <- rasch(LSAT, constraint = cbind(length(LSAT) + 1, 1))
coef(IRT1PL_1)
IRT1PL_2 <- rasch(LSAT, constraint = cbind(ncol(LSAT) + 1, 1.072))
coef(IRT1PL_2)
IRT1PL_3 <- tpm(LSAT, type = "rasch", max.guessing = 1)
coef(IRT1PL_3)
IRT1PL_4 <- tpm(LSAT, type = "rasch", constraint = cbind(c(1,2,3,4,5), 1, 0))
coef(IRT1PL_4)
#2PL
IRT2PL=ltm(LSAT ~ z1, IRT.param = TRUE)
summary(IRT2PL)
coefficients(IRT2PL)
plot(IRT2PL, type = "ICC")
plot(IRT2PL, type = "ICC", items=3)
plot(IRT2PL, type = "IIC", items=0)
plot(IRT2PL, type = "IIC", items=3)
factor.scores(IRT2PL)
person.fit(IRT2PL)
item.fit(IRT2PL)
#3PL
IRT3PL = tpm(LSAT, type = "latent.trait", IRT.param=TRUE)
summary(IRT3PL)
coef(IRT3PL)
plot(IRT3PL, type= "ICC")
plot(IRT3PL, type= "ICC", items=3)
plot(IRT3PL, type= "IIC", items=0)
factor.scores(IRT3PL)
person.fit(IRT3PL)
item.fit(IRT3PL)
#1PL VS 2PL
anova(IRT1PL, IRT2PL)
#1PL VS 3PL
anova(IRT1PL, IRT3PL)
#2PL VS 3PL
anova(IRT2PL, IRT3PL)